> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/root/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # List API root resources GET https://api.mailchimp.com/3.0/ Get links to all other resources available in the API. Reference: https://mailchimp.com/developer/marketing/api/root/list ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. ## Response ### 200 - `_links` (list of 30GetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `account_id` (string, optional) — The Mailchimp account ID. - `account_industry` (string, optional) — The user-specified industry associated with the account. - `account_name` (string, optional) — The name of the account. - `account_timezone` (string, optional) — The timezone currently set for the account. - `avatar_url` (string, optional) — URL of the avatar for the user. - `contact` (30GetResponsesContentApplicationJsonSchemaContact, optional) — Information about the account contact. - `email` (string, optional) — The account email address. - `first_name` (string, optional) — The first name tied to the account. - `first_payment` (30GetResponsesContentApplicationJsonSchemaFirstPayment, optional) — Date of first payment for monthly plans. - `industry_stats` (30GetResponsesContentApplicationJsonSchemaIndustryStats, optional) — The [average campaign statistics](https://mailchimp.com/resources/research/email-marketing-benchmarks/?utm_source=mc-api&utm_medium=docs&utm_campaign=apidocs) for all campaigns in the account's specified industry. - `last_login` (datetime, optional) — The date and time of the last login for this account in ISO 8601 format. - `last_name` (string, optional) — The last name tied to the account. - `login_id` (string, optional) — The ID associated with the user who owns this API key. If you can login to multiple accounts, this ID will be the same for each account. - `member_since` (datetime, optional) — The date and time that the account was created in ISO 8601 format. - `pricing_plan_type` (enum, optional) — The type of pricing plan the account is on. - Allowed values: `monthly`, `pay_as_you_go`, `forever_free` - `pro_enabled` (boolean, optional) — Legacy - whether the account includes [Mailchimp Pro](https://mailchimp.com/help/about-legacy-pricing-plan/). - `role` (string, optional) — The [user role](https://mailchimp.com/help/manage-user-levels-in-your-account/) for the account. - `total_subscribers` (integer, optional) — The total number of subscribers across all lists in the account. - `username` (string, optional) — The username tied to the account. ## Types ### 30GetResponsesContentApplicationJsonSchemaLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### 30GetResponsesContentApplicationJsonSchemaContact Information about the account contact. - `addr1` (string, optional) — The street address for the account contact. - `addr2` (string, optional) — The street address for the account contact. - `city` (string, optional) — The city for the account contact. - `company` (string, optional) — The company name for the account. - `country` (string, optional) — The country for the account contact. - `state` (string, optional) — The state for the account contact. - `zip` (string, optional) — The zip code for the account contact. ### 30GetResponsesContentApplicationJsonSchemaFirstPayment Date of first payment for monthly plans. ### 30GetResponsesContentApplicationJsonSchemaIndustryStats The [average campaign statistics](https://mailchimp.com/resources/research/email-marketing-benchmarks/?utm_source=mc-api&utm_medium=docs&utm_campaign=apidocs) for all campaigns in the account's specified industry. - `bounce_rate` (double, optional) — The average bounce rate for all campaigns in the account's specified industry. - `click_rate` (double, optional) — The average unique click rate for all campaigns in the account's specified industry. - `open_rate` (double, optional) — The average unique open rate for all campaigns in the account's specified industry. ## Examples **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "account_id": "string", "account_industry": "string", "account_name": "string", "account_timezone": "string", "avatar_url": "string", "contact": { "addr1": "string", "addr2": "string", "city": "string", "company": "string", "country": "string", "state": "string", "zip": "string" }, "email": "string", "first_name": "string", "first_payment": "2010-01-01T23:59:59Z", "industry_stats": { "bounce_rate": 1.1, "click_rate": 1.1, "open_rate": 1.1 }, "last_login": "2024-01-15T09:30:00Z", "last_name": "string", "login_id": "string", "member_since": "2010-01-01T23:59:59Z", "pricing_plan_type": "monthly", "pro_enabled": true, "role": "string", "total_subscribers": 1, "username": "freddie2000" } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.